package com.mortals.xhx.base.system.role.model;

import java.util.List;
import com.mortals.xhx.base.system.role.model.RoleUserEntity;
/**
* 角色用户业务查询对象
*
* @author zxfei
* @date 2024-09-06
*/
public class RoleUserQuery extends RoleUserEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 角色ID */
    private Long roleIdStart;

    /** 结束 角色ID */
    private Long roleIdEnd;

    /** 增加 角色ID */
    private Long roleIdIncrement;

    /** 角色ID列表 */
    private List <Long> roleIdList;

    /** 角色ID排除列表 */
    private List <Long> roleIdNotList;

    /** 开始 用户ID */
    private Long userIdStart;

    /** 结束 用户ID */
    private Long userIdEnd;

    /** 增加 用户ID */
    private Long userIdIncrement;

    /** 用户ID列表 */
    private List <Long> userIdList;

    /** 用户ID排除列表 */
    private List <Long> userIdNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 创建用户名称 */
    private List<String> updateUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> updateUserNameNotList;
    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoleUserQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoleUserQuery> andConditionList;

    public RoleUserQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 角色ID
    * @return roleIdStart
    */
    public Long getRoleIdStart(){
        return this.roleIdStart;
    }

    /**
    * 设置 开始 角色ID
    * @param roleIdStart
    */
    public void setRoleIdStart(Long roleIdStart){
        this.roleIdStart = roleIdStart;
    }

    /**
    * 获取 结束 角色ID
    * @return $roleIdEnd
    */
    public Long getRoleIdEnd(){
        return this.roleIdEnd;
    }

    /**
    * 设置 结束 角色ID
    * @param roleIdEnd
    */
    public void setRoleIdEnd(Long roleIdEnd){
        this.roleIdEnd = roleIdEnd;
    }

    /**
    * 获取 增加 角色ID
    * @return roleIdIncrement
    */
    public Long getRoleIdIncrement(){
        return this.roleIdIncrement;
    }

    /**
    * 设置 增加 角色ID
    * @param roleIdIncrement
    */
    public void setRoleIdIncrement(Long roleIdIncrement){
        this.roleIdIncrement = roleIdIncrement;
    }

    /**
    * 获取 角色ID
    * @return roleIdList
    */
    public List<Long> getRoleIdList(){
        return this.roleIdList;
    }

    /**
    * 设置 角色ID
    * @param roleIdList
    */
    public void setRoleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
    }

    /**
    * 获取 角色ID
    * @return roleIdNotList
    */
    public List<Long> getRoleIdNotList(){
        return this.roleIdNotList;
    }

    /**
    * 设置 角色ID
    * @param roleIdNotList
    */
    public void setRoleIdNotList(List<Long> roleIdNotList){
        this.roleIdNotList = roleIdNotList;
    }


    /**
    * 获取 开始 用户ID
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 用户ID
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 用户ID
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 用户ID
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 用户ID
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 用户ID
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 用户ID
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 用户ID
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 获取 用户ID
    * @return userIdNotList
    */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
    * 设置 用户ID
    * @param userIdNotList
    */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return updateUserNameNotList
    */
    public List<String> getUpdateUserNameNotList(){
        return this.updateUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameNotList
    */
    public void setUpdateUserNameNotList(List<String> updateUserNameNotList){
        this.updateUserNameNotList = updateUserNameNotList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public RoleUserQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public RoleUserQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public RoleUserQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public RoleUserQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public RoleUserQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public RoleUserQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  角色ID
    * @param roleId
    */
    public RoleUserQuery roleId(Long roleId){
	    setRoleId(roleId);
		return this;
    }
	
	 /**
    * 设置 开始 角色ID
    * @param roleIdStart
    */
    public RoleUserQuery roleIdStart(Long roleIdStart){
		this.roleIdStart = roleIdStart;
		return this;
    }

    /**
    * 设置 结束 角色ID
    * @param roleIdEnd
    */
    public RoleUserQuery roleIdEnd(Long roleIdEnd){
		this.roleIdEnd = roleIdEnd;
		return this;
    }

    /**
    * 设置 增加 角色ID
    * @param roleIdIncrement
    */
    public RoleUserQuery roleIdIncrement(Long roleIdIncrement){
		this.roleIdIncrement = roleIdIncrement;
		return this;
    }

    /**
    * 设置 角色ID
    * @param roleIdList
    */
    public RoleUserQuery roleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
		return this;
        }

        /**
        * 设置 角色ID
        * @param roleIdNotList
        */
        public RoleUserQuery roleIdNotList(List<Long> roleIdNotList){
        this.roleIdNotList = roleIdNotList;
        return this;
        }

    /**
    * 设置  用户ID
    * @param userId
    */
    public RoleUserQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID
    * @param userIdStart
    */
    public RoleUserQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID
    * @param userIdEnd
    */
    public RoleUserQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID
    * @param userIdIncrement
    */
    public RoleUserQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID
    * @param userIdList
    */
    public RoleUserQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }

        /**
        * 设置 用户ID
        * @param userIdNotList
        */
        public RoleUserQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public RoleUserQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public RoleUserQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public RoleUserQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public RoleUserQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public RoleUserQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public RoleUserQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public RoleUserQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public RoleUserQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public RoleUserQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public RoleUserQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public RoleUserQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public RoleUserQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public RoleUserQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public RoleUserQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param updateUserName
    */
    public RoleUserQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameList
    */
    public RoleUserQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<RoleUserQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<RoleUserQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<RoleUserQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<RoleUserQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}